/*
* CLIF is a Load Injection Framework
* Copyright (C) 2005 France Telecom R&D
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* CLIF $Name: not supported by cvs2svn $
*
* Contact: clif@ow2.org
*/

package org.ow2.clif.util;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;


/**
 * Helper class for handling throwable objects.
 * @author Bruno Dillenseger
 */
abstract public class ThrowableHelper
{
	/**
	 * This toString() method returns richer information by including the stack trace.
	 * @param ex the throwable object (exception, error)
	 * @return a complete String representation of the throwable object with
	 * (1) the name and message of the exception, (2) the stack trace.
	 */
	static public String toString(Throwable ex)
	{
		ByteArrayOutputStream out = new ByteArrayOutputStream();
		PrintStream outStrm = new PrintStream(out);
		outStrm.println(ex);
		ex.printStackTrace(outStrm);
		if (ex.getCause() == null || ex.getCause() == ex)
		{
			return out.toString();
		}
		else
		{
			return  out.toString() + "\nCaused by:\n" + ThrowableHelper.toString(ex.getCause());
		}
	}
}
