/*
* CLIF is a Load Injection Framework
* Copyright (C) 2007 France Telecom
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* CLIF Jordan BRUNIER Grégory CALONNIER
*
* Contact: clif@ow2.org
*/
package org.ow2.clif.analyze.lib.graph.ui;

import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.AbstractCellEditor;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JTable;
import javax.swing.table.TableCellEditor;


/**
 * The Class AbstractCellEditorDelete.
 */
public class AbstractCellEditorDelete extends AbstractCellEditor implements TableCellEditor {
	
	private final ImageIcon DELETE_ICON = new ImageIcon(getClass().getClassLoader().getResource("icons/delete.gif"));
	
	/** The my delete label. */
	private JLabel jlDel = new JLabel("");
	
	/** The data quick view container. */
	private DataQuickViewContainer dataQuickViewContainer = null;
	
		
	/**
	 * Instantiates a new abstract cell editor delete.
	 * 
	 * @param arg0 the Data Quick View Container
	 */
	public AbstractCellEditorDelete(DataQuickViewContainer arg0) {
		this.dataQuickViewContainer = arg0;
		
		jlDel.setToolTipText("Double click here to delete Y axis...");
		jlDel.setIcon(DELETE_ICON);
		
		jlDel.addMouseListener(new MouseListener(){
			public void mouseClicked(MouseEvent e) {
				if( JOptionPane.showConfirmDialog(null, "Do you want delete this Y axis ?",
						"Question", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE) == JOptionPane.YES_OPTION ) {
									
					AbstractCellEditorDelete.this.fireEditingStopped();
				}
			}

			public void mouseEntered(MouseEvent e) {
				// nothing to do
			}

			public void mouseExited(MouseEvent e) {
				// nothing to do
			}

			public void mousePressed(MouseEvent e) {
				// nothing to do
			}

			public void mouseReleased(MouseEvent e) {
				// nothing to do
			}
			
		});		
	}
	
	/**
	 * Instantiates a new abstract cell editor delete.
	 */
	public AbstractCellEditorDelete() {	
		jlDel.setToolTipText("Double click here to delete Y axis...");
		jlDel.setIcon(DELETE_ICON);
		
		jlDel.addMouseListener(new MouseListener(){
			public void mouseClicked(MouseEvent e) {
				AbstractCellEditorDelete.this.fireEditingStopped();
				System.out.println("mouse clicked");
			}

			public void mouseEntered(MouseEvent e) {
				// nothing to do
			}

			public void mouseExited(MouseEvent e) {
				// nothing to do
			}

			public void mousePressed(MouseEvent e) {
				// nothing to do
			}

			public void mouseReleased(MouseEvent e) {
				// nothing to do
			}
			
		});		
	}
	
	
	/* (non-Javadoc)
	 * @see javax.swing.AbstractCellEditor#fireEditingStopped()
	 */
	public void fireEditingStopped(){
		//Do nothing
	}
	
	/* (non-Javadoc)
	 * @see javax.swing.CellEditor#getCellEditorValue()
	 */
	public Object getCellEditorValue() {
		return jlDel.getName();
	}
	
	/* (non-Javadoc)
	 * @see javax.swing.table.TableCellEditor#getTableCellEditorComponent(javax.swing.JTable, java.lang.Object, boolean, int, int)
	 */
	public Component getTableCellEditorComponent(JTable arg0, Object arg1,
			boolean arg2, int arg3, int arg4) {
		jlDel.setName(arg1.toString());
		return jlDel;
	}
}

